package kr.gmtc.comp.socket.udp;

import kr.gmtc.comp.socket.vo.MsgObjVO;

public interface IUDPSocketHandler {
    public void udpDataIn(MsgObjVO vo);
	public void udpSendData(MsgObjVO vo);
	public void udpSendData(String ip, int port, MsgObjVO vo);
	
	public void connected(String ip, int port, int statusCode, String description);
	public void disconnected(String ip, int port, int statusCode, String description);
	public void connectionStatus(String ip, int port, String connEvent, int statusCode, String description);
}
